I need to update my BLP importer extension

I was searching for Gimp BLP using google again. And I saw that my plugin was listed under “The GIMP non-Free extensions” originally posted in a blog article. The reason given: “Some relevant files do not have a license note”.¬†Apparently I wasn’t strict enough with adding the GPL headers to my sources. Oops. I’ll have to go back and correct it. So I’m re-reading http://www.gnu.org/licenses/gpl-howto.html as he suggested on that site. I also need to update some other code that I used GPL as a license in. After I get it updated I’ll send him an email to update his list.

There’s some other changes I would like to make later. Maybe I’ll have some more time for personal projects in a month or so. I’m planning to migrate my plugin to use a, slightly modified, libsquish to handle dxt decompression, AND *compression*. Then I can use the Gimp to export BLP images also.

I would also like to support BLP version 1 files later on. Like the ones used for Warcraft 3.

This entry was posted in Coding. Bookmark the permalink.

Leave a Reply

Your email address will not be published. Required fields are marked *